<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>Z:/Project/development/PSCIP/driver/debug_pscip.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.7.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Z:/Project/development/PSCIP/driver/debug_pscip.c File Reference</h1>Includes functions used while debugging.  
<a href="#_details">More...</a>
<p>

<p>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<p><center><img src="debug__pscip_8c__dep__incl.gif" border="0" usemap="#Z:/Project/development/PSCIP/driver/debug_pscip.cdep_map" alt=""></center>
</div>

<p>
<a href="debug__pscip_8c-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="debug__pscip_8c.html#e1f521774fbb48cde1bb1191aab3e28c">IP_DEBUG_read_FPGA_stat</a> (volatile struct <a class="el" href="struct_f_p_g_astatus__reg.html">FPGAstatus_reg</a> *pReg)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="debug__pscip_8c.html#8ac38aaea0bc2a41ecc0f0a1e4ddebb4">IP_DEBUG_read_IP_interface_reg</a> (volatile struct <a class="el" href="struct_i_p_local_space0.html">IPLocalSpace0</a> *pReg)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="debug__pscip_8c.html#b894497894b1d80b015f118942caa8ff">IP_DEBUG_read_errors</a> (<a class="el" href="structnpscip___dev.html">pscip_Dev</a> dev)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static unsigned char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="debug__pscip_8c.html#514e772505d73df9b79b715538a676e6">pscip_get_PCI_info</a> (struct pci_dev *dev)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Includes functions used while debugging. 
<p>
This functions interprete IP and PCI Carrier registers - make life much easier for the developer 
<p>Definition in file <a class="el" href="debug__pscip_8c-source.html">debug_pscip.c</a>.</p>
<hr><h2>Function Documentation</h2>
<a class="anchor" name="b894497894b1d80b015f118942caa8ff"></a><!-- doxytag: member="debug_pscip.c::IP_DEBUG_read_errors" ref="b894497894b1d80b015f118942caa8ff" args="(pscip_Dev dev)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int IP_DEBUG_read_errors           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structnpscip___dev.html">pscip_Dev</a>&nbsp;</td>
          <td class="paramname"> <em>dev</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="debug__pscip_8c-source.html#l00280">280</a> of file <a class="el" href="debug__pscip_8c-source.html">debug_pscip.c</a>.</p>

<p>References <a class="el" href="pscip_8h-source.html#l00033">pscip_fpga_t::channel</a>, <a class="el" href="pscip_8h-source.html#l00042">pscip_stats_t::cntrl_stat</a>, <a class="el" href="pscip_8h-source.html#l00034">pscip_fpga_t::high_data</a>, <a class="el" href="k__pscip_8h-source.html#l00210">npscip_Dev::IPnumber</a>, <a class="el" href="k__pscip_8c-source.html#l00849">k_pscip_rdfpgastat()</a>, <a class="el" href="pscip_8h-source.html#l00042">pscip_stats_t::linkdown_cnt</a>, <a class="el" href="pscip_8h-source.html#l00059">PSCIP_DSP_MSK</a>, <a class="el" href="pscip_8h-source.html#l00058">PSCIP_INPUTBUF_MSK</a>, <a class="el" href="pscip_8h-source.html#l00084">PSCIP_LINKDOWN_MSK</a>, <a class="el" href="pscip_8h-source.html#l00060">PSCIP_REMLOC_MSK</a>, <a class="el" href="pscip_8h-source.html#l00085">PSCIP_TXERR_MSK</a>, <a class="el" href="pscip_8h-source.html#l00042">pscip_stats_t::rx</a>, <a class="el" href="k__pscip_8h-source.html#l00187">npscip_Dev::stats</a>, <a class="el" href="pscip_8h-source.html#l00042">pscip_stats_t::tx</a>, and <a class="el" href="pscip_8h-source.html#l00042">pscip_stats_t::txerr_cnt</a>.</p>

</div>
</div><p>
<a class="anchor" name="e1f521774fbb48cde1bb1191aab3e28c"></a><!-- doxytag: member="debug_pscip.c::IP_DEBUG_read_FPGA_stat" ref="e1f521774fbb48cde1bb1191aab3e28c" args="(volatile struct FPGAstatus_reg *pReg)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void IP_DEBUG_read_FPGA_stat           </td>
          <td>(</td>
          <td class="paramtype">volatile struct <a class="el" href="struct_f_p_g_astatus__reg.html">FPGAstatus_reg</a> *&nbsp;</td>
          <td class="paramname"> <em>pReg</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="debug__pscip_8c-source.html#l00006">6</a> of file <a class="el" href="debug__pscip_8c-source.html">debug_pscip.c</a>.</p>

<p>References <a class="el" href="debug__pscip_8h-source.html#l00009">FPGAstatus_reg::errorCounter</a>, <a class="el" href="debug__pscip_8h-source.html#l00008">FPGAstatus_reg::highWord</a>, <a class="el" href="debug__pscip_8h-source.html#l00011">FPGAstatus_reg::lowWord</a>, <a class="el" href="debug__pscip_8h-source.html#l00010">FPGAstatus_reg::midWord</a>, <a class="el" href="pscip_8h-source.html#l00092">PSCIP_BREAK_ERR_0_MSK</a>, <a class="el" href="pscip_8h-source.html#l00097">PSCIP_BREAK_ERR_1_MSK</a>, <a class="el" href="pscip_8h-source.html#l00102">PSCIP_BREAK_ERR_2_MSK</a>, <a class="el" href="pscip_8h-source.html#l00111">PSCIP_BREAK_ERR_3_MSK</a>, <a class="el" href="pscip_8h-source.html#l00116">PSCIP_BREAK_ERR_4_MSK</a>, <a class="el" href="pscip_8h-source.html#l00094">PSCIP_COMP_ERR_0_MSK</a>, <a class="el" href="pscip_8h-source.html#l00099">PSCIP_COMP_ERR_1_MSK</a>, <a class="el" href="pscip_8h-source.html#l00104">PSCIP_COMP_ERR_2_MSK</a>, <a class="el" href="pscip_8h-source.html#l00113">PSCIP_COMP_ERR_3_MSK</a>, <a class="el" href="pscip_8h-source.html#l00118">PSCIP_COMP_ERR_4_MSK</a>, <a class="el" href="pscip_8h-source.html#l00093">PSCIP_FRAME_ERR_0_MSK</a>, <a class="el" href="pscip_8h-source.html#l00098">PSCIP_FRAME_ERR_1_MSK</a>, <a class="el" href="pscip_8h-source.html#l00103">PSCIP_FRAME_ERR_2_MSK</a>, <a class="el" href="pscip_8h-source.html#l00112">PSCIP_FRAME_ERR_3_MSK</a>, <a class="el" href="pscip_8h-source.html#l00117">PSCIP_FRAME_ERR_4_MSK</a>, <a class="el" href="pscip_8h-source.html#l00084">PSCIP_LINKDOWN_MSK</a>, <a class="el" href="pscip_8h-source.html#l00086">PSCIP_LOOPBACK_MSK</a>, <a class="el" href="pscip_8h-source.html#l00091">PSCIP_PAR_ERR_0_MSK</a>, <a class="el" href="pscip_8h-source.html#l00096">PSCIP_PAR_ERR_1_MSK</a>, <a class="el" href="pscip_8h-source.html#l00101">PSCIP_PAR_ERR_2_MSK</a>, <a class="el" href="pscip_8h-source.html#l00110">PSCIP_PAR_ERR_3_MSK</a>, <a class="el" href="pscip_8h-source.html#l00115">PSCIP_PAR_ERR_4_MSK</a>, <a class="el" href="pscip_8h-source.html#l00095">PSCIP_TIMEOUT_ERR_0_MSK</a>, <a class="el" href="pscip_8h-source.html#l00100">PSCIP_TIMEOUT_ERR_1_MSK</a>, <a class="el" href="pscip_8h-source.html#l00105">PSCIP_TIMEOUT_ERR_2_MSK</a>, <a class="el" href="pscip_8h-source.html#l00114">PSCIP_TIMEOUT_ERR_3_MSK</a>, <a class="el" href="pscip_8h-source.html#l00119">PSCIP_TIMEOUT_ERR_4_MSK</a>, and <a class="el" href="pscip_8h-source.html#l00085">PSCIP_TXERR_MSK</a>.</p>

<p>Referenced by <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="8ac38aaea0bc2a41ecc0f0a1e4ddebb4"></a><!-- doxytag: member="debug_pscip.c::IP_DEBUG_read_IP_interface_reg" ref="8ac38aaea0bc2a41ecc0f0a1e4ddebb4" args="(volatile struct IPLocalSpace0 *pReg)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void IP_DEBUG_read_IP_interface_reg           </td>
          <td>(</td>
          <td class="paramtype">volatile struct <a class="el" href="struct_i_p_local_space0.html">IPLocalSpace0</a> *&nbsp;</td>
          <td class="paramname"> <em>pReg</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="debug__pscip_8c-source.html#l00149">149</a> of file <a class="el" href="debug__pscip_8c-source.html">debug_pscip.c</a>.</p>

<p>References <a class="el" href="k__pscip_8h-source.html#l00133">IP_CLKRATE</a>, <a class="el" href="k__pscip_8h-source.html#l00143">IP_ERR_A</a>, <a class="el" href="k__pscip_8h-source.html#l00142">IP_ERR_B</a>, <a class="el" href="k__pscip_8h-source.html#l00130">IP_ERR_INT_EN</a>, <a class="el" href="k__pscip_8h-source.html#l00147">IP_INT0_A</a>, <a class="el" href="k__pscip_8h-source.html#l00145">IP_INT0_B</a>, <a class="el" href="k__pscip_8h-source.html#l00127">IP_INT0_EN</a>, <a class="el" href="k__pscip_8h-source.html#l00129">IP_INT0_SENSE</a>, <a class="el" href="k__pscip_8h-source.html#l00146">IP_INT1_A</a>, <a class="el" href="k__pscip_8h-source.html#l00144">IP_INT1_B</a>, <a class="el" href="k__pscip_8h-source.html#l00126">IP_INT1_EN</a>, <a class="el" href="k__pscip_8h-source.html#l00128">IP_INT1_SENSE</a>, <a class="el" href="k__pscip_8h-source.html#l00132">IP_RECOVER</a>, <a class="el" href="k__pscip_8h-source.html#l00141">IP_TIME_A</a>, <a class="el" href="k__pscip_8h-source.html#l00140">IP_TIME_B</a>, <a class="el" href="k__pscip_8h-source.html#l00137">IPA_RESET_MASK</a>, <a class="el" href="debug__pscip_8h-source.html#l00017">IPLocalSpace0::IPAcontrol</a>, <a class="el" href="k__pscip_8h-source.html#l00136">IPB_RESET_MASK</a>, <a class="el" href="debug__pscip_8h-source.html#l00018">IPLocalSpace0::IPBcontrol</a>, <a class="el" href="debug__pscip_8h-source.html#l00021">IPLocalSpace0::RESET</a>, <a class="el" href="debug__pscip_8h-source.html#l00016">IPLocalSpace0::revisionID</a>, and <a class="el" href="debug__pscip_8h-source.html#l00022">IPLocalSpace0::STATUS</a>.</p>

<p>Referenced by <a class="el" href="pscip_8c-source.html#l00302">pscip_ioctl()</a>.</p>

</div>
</div><p>
<a class="anchor" name="514e772505d73df9b79b715538a676e6"></a><!-- doxytag: member="debug_pscip.c::pscip_get_PCI_info" ref="514e772505d73df9b79b715538a676e6" args="(struct pci_dev *dev)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static unsigned char pscip_get_PCI_info           </td>
          <td>(</td>
          <td class="paramtype">struct pci_dev *&nbsp;</td>
          <td class="paramname"> <em>dev</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="debug__pscip_8c-source.html#l00339">339</a> of file <a class="el" href="debug__pscip_8c-source.html">debug_pscip.c</a>.</p>

<p>Referenced by <a class="el" href="pscip_8c-source.html#l01202">probe()</a>.</p>

</div>
</div><p>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Fri Dec 5 17:49:43 2008 by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.7.1 </small></address>
</body>
</html>
